(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "tslib", "gray-matter", "toml"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    const tslib_1 = require("tslib");
    const gray_matter_1 = tslib_1.__importDefault(require("gray-matter"));
    const toml_1 = tslib_1.__importDefault(require("toml"));
    function default_1(content) {
        return gray_matter_1.default(content, {
            excerpt_separator: '<!-- more -->',
            engines: {
                toml: toml_1.default.parse.bind(toml_1.default),
            },
        });
    }
    exports.default = default_1;
});
